Curl Incidents Error

incident
(Zac) #1

Hi PagerDuty team,

So I’m trying to get my Python code working properly to get all incidents within a given date range (usually just about a month). This time, I’m trying to get it to download incidents within a given date range of more than 5 months and I seem to be getting an error: Invalid Input Provided

I tried CURL, and even logging into your API Explorer page
https://api-reference.pagerduty.com/#!/Incidents/get_incidents

I’m getting the same issue:
curl -X GET --header ‘Accept: application/vnd.pagerduty+json;version=2’ --header ‘Authorization: Token token=MY-Token’ ‘https://api.pagerduty.com/incidents?since=2018-09-01&until=2019-03-31&service_ids[]=S0MEID&time_zone=UTC

This is the CURL result:
{“error”:{“message”:“Invalid Input Provided”,“code”:2001,“errors”:[" is invalid."]}}

This is the API Page result:

{
“error”: {
“message”: “Invalid Input Provided”,
“code”: 2001,
“errors”: [
" is invalid."
]
}
}

Any ideas?

Many thanks!

(Chiedu Uraih) #2

Hello,

Please can you review the entry you user in the Explore page.
Pulling a wider range provided an output.

If the issue persists, please can I have you send through the last 4 characters of your token and I will look into what could be going on.

Thanks

(Zac) #3

Hi Chiedu!

Thanks for your response! Problem still occuring even when trying from the https://api-reference.pagerduty.com/#!/Incidents/get_incidents.
I’m sending you an attachment of what I’m seeing when I search for incidents in PD website =)

The last 4 characters of the token should be: yMJh

Cheers!

(Jay Chiarella) #4

Hi Zac,

Could you please send in a support ticket at support@pagerduty.com with all of the information that you have here?

I ask this because we might ask for further information that is related to your specific account.

Thanks,

(system) closed #5

This topic was automatically closed 21 days after the last reply. New replies are no longer allowed.